aboutsummaryrefslogtreecommitdiff
path: root/bin/stws
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-09 17:15:40 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-09 17:20:10 +1200
commit9fb350dc7c8cc5259ef24e0cb097031179fab1d6 (patch)
tree839dd0b8ee3f5323b1cd6aefa22b605b99437d62 /bin/stws
parentMention nosls/sls flags in slsf(1) man page (diff)
downloaddotfiles-9fb350dc7c8cc5259ef24e0cb097031179fab1d6.tar.gz
dotfiles-9fb350dc7c8cc5259ef24e0cb097031179fab1d6.zip
Improve commenting/exit handling in binscripts
Diffstat (limited to 'bin/stws')
-rwxr-xr-xbin/stws9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/stws b/bin/stws
index a955d022..f48ef76f 100755
--- a/bin/stws
+++ b/bin/stws
@@ -1,12 +1,19 @@
#!/bin/sh
# Strip trailing spaces on one or more files
+
+# Check arguments
if [ "$#" -eq 0 ] ; then
printf >&2 'tstf: Need a filename\n'
exit 2
fi
+
+# Iterate over arguments and apply the same ed(1) script to each of them
for fn ; do
- ed -s -- "$fn" <<'EOF'
+ ed -s -- "$fn" <<'EOF' || ex=1
g/ *$/ s/ *$//
w
EOF
done
+
+# If any of the ed(1) commands failed, we should exit with 1
+exit "${ex:-0}"